/*******************************************************************************
* Copyright (c) 2021, Bayerische Motoren Werke Aktiengesellschaft (BMW AG)
*
* This program and the accompanying materials are made
* available under the terms of the Eclipse Public License 2.0
* which is available at https://www.eclipse.org/legal/epl-2.0/
*
* SPDX-License-Identifier: EPL-2.0
*******************************************************************************/

//-----------------------------------------------------------------------------
/** @file  bounding_box.h */
//-----------------------------------------------------------------------------

#ifndef MANTLEAPI_COMMON_BOUNDINGBOX_H
#define MANTLEAPI_COMMON_BOUNDINGBOX_H

#include <MantleAPI/Common/i_position.h>
#include <MantleAPI/Common/vector.h>

namespace mantle_api
{
/// Bounding box is defined in local object coordinate system.
/// The origin of the object coordinate system is defined in relation to the geometric center.
struct BoundingBox
{
    Vec3d geometric_center{0.0, 0.0, 0.0};
    double width{0.0};
    double length{0.0};
    double height{0.0};
};
}  // namespace mantle_api

#endif  // MANTLEAPI_COMMON_BOUNDINGBOX_H
