/*******************************************************************************
* Copyright (c) 2021, Bayerische Motoren Werke Aktiengesellschaft (BMW AG)
*
* This program and the accompanying materials are made
* available under the terms of the Eclipse Public License 2.0
* which is available at https://www.eclipse.org/legal/epl-2.0/
*
* SPDX-License-Identifier: EPL-2.0
*******************************************************************************/

//-----------------------------------------------------------------------------
/** @file  orientation.h */
//-----------------------------------------------------------------------------


#ifndef SIMULATOR_ORIENTATION_H
#define SIMULATOR_ORIENTATION_H

#include <MantleAPI/Common/floating_point_helper.h>

namespace mantle_api
{

template <typename T>
struct Orientation3
{
    T yaw{};
    T pitch{};
    T roll{};
};

using Orientation3d = Orientation3<double>;

inline bool operator==(const Orientation3d& lhs, const Orientation3d& rhs) noexcept
{
    return IsEqual(lhs.yaw, rhs.yaw) && IsEqual(lhs.pitch, rhs.pitch) && IsEqual(lhs.roll, rhs.roll);
}

inline bool operator!=(const Orientation3d& lhs, const Orientation3d& rhs) noexcept
{
    return !(lhs == rhs);
}

}  // namespace mantle_api

#endif  // SIMULATOR_ORIENTATION_H
