/*******************************************************************************
* Copyright (c) 2021, Bayerische Motoren Werke Aktiengesellschaft (BMW AG)
*
* This program and the accompanying materials are made
* available under the terms of the Eclipse Public License 2.0
* which is available at https://www.eclipse.org/legal/epl-2.0/
*
* SPDX-License-Identifier: EPL-2.0
*******************************************************************************/

//-----------------------------------------------------------------------------
/** @file  i_lane_location_query_service.h */
//-----------------------------------------------------------------------------

#ifndef MANTLEAPI_MAP_IQUERYSERVICE_H
#define MANTLEAPI_MAP_IQUERYSERVICE_H

#include <MantleAPI/Common/i_identifiable.h>

namespace mantle_api
{

/// Abstraction layer for all map related functions.
class ILaneLocationQueryService
{
  public:
    virtual ~ILaneLocationQueryService() = default;

    /// TODO: Currently LaneLocationProvider just inherits from this for the sake of easily passing it to the
    /// controllers
    /// Therefore the GetMapObjectById function has been removed from the interface - for now.
    /// We need to think about proper interface functions we want to define here (GetLaneLocation? GetLanes? But this
    /// would add a rat-tail of more interfaces we need to define (ILaneLocation, ILane, ...?)
    // virtual const IIdentifiable& GetMapObjectById(UniqueId id) = 0;
};
}  // namespace mantle_api

#endif  // MANTLEAPI_MAP_IQUERYSERVICE_H
